import type { Context } from '../../tools/serialisation/context';
import type { User } from './user.types';
/**
 * Clone input data and ensure known user properties (id, name, email)
 * are strings, as defined here:
 * https://docs.datadoghq.com/logs/log_configuration/attributes_naming_convention/#user-related-attributes
 */
export declare function sanitizeUser(newUser: Context): Context;
/**
 * Simple check to ensure user is valid
 */
export declare function checkUser(newUser: User): boolean;
